/*   
 ----------------------------------------------------------------------
| CUSTOMBAR PLUGIN SDK
|
| This library is distributed in the hope that it will be useful,
| but WITHOUT ANY WARRANTY; without even the implied warranty of
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
|
| Copyright (C) 2002-2004 Lizardsoft. All Rights Reserved.
 ---------------------------------------------------------------------- */

#if !defined(UNITRANS_H__37CC3310_6331_4CD7_B7FD_B0sdfdsfdsfsd5827386__INCLUDED_)
#define UNITRANS_H__37CC3310_6331_4CD7_B7FD_B0sdfdsfdsfsd5827386__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DataUtil.h"

DATALIB_API void *UT_Create();
DATALIB_API void UT_Destroy( void *ptrObj );

DATALIB_API int UT_SetType( void *ptrObj, int NewType );
DATALIB_API int UT_GetType( void *ptrObj );

DATALIB_API int      UT_GetInt( void *ptrObj );
DATALIB_API float    UT_GetFloat( void *ptrObj );
DATALIB_API COLORREF UT_GetColor( void *ptrObj );

DATALIB_API const TCHAR *UT_GetConstStr( void *ptrObj, int *Len );
DATALIB_API const RECT  *UT_GetConstRect( void *ptrObj );

DATALIB_API char *UT_GetWriteStr( void *ptrObj, int *Len );
DATALIB_API RECT  *UT_GetWriteRect( void *ptrObj );
DATALIB_API int UT_ReallocStr( void *ptrObj, int NewLen );

DATALIB_API int UT_GetAsInt( void *ptrObj, int *Val );

DATALIB_API int UT_SetVal_Uni( void *ptrObj, void *NewVal, int Flags );
DATALIB_API int UT_SetVal_Char( void *ptrObj, char *NewVal, int Flags );
DATALIB_API int UT_SetVal_Int( void *ptrObj, int NewVal, int Flags );
DATALIB_API int UT_SetVal_Float( void *ptrObj, float NewVal, int Flags );
DATALIB_API int UT_SetVal_Color( void *ptrObj, COLORREF *NewVal, int Flags );
DATALIB_API int UT_SetVal_Rect( void *ptrObj, RECT *NewVal, int Flags );

DATALIB_API int UT_SetInt  ( void *ptrObj, int NewValue );
DATALIB_API int UT_SetFloat( void *ptrObj, float NewValue );
DATALIB_API int UT_SetStr  ( void *ptrObj, const TCHAR *NewStr, int Len );

DATALIB_API int  UT_Lock( void *ptrObj );
DATALIB_API int  UT_Unlock( void *ptrObj );
DATALIB_API bool UT_IsLocked( void *ptrObj );

#endif